Printago API
PUT /v1/settings/notifications/{id}/routes/{category}

Set a Discord category route

Create or update the webhook override for one event category of a Discord channel.

Requires: settings.edit

Path Parameters

id required
string
The Discord notification channel ID
category required
string
Event category: `jobs`, `printers`, `orders`, `maintenance` or `materials`

Request Body

Override webhook URL and whether the override is enabled

UpsertNotificationRouteRequest
enabledoptional
boolean
webhookUrloptional
string
format: url

Example Request

application/json
{
  "webhookUrl": "https://example.com",
  "enabled": true
}

Response Schema

NotificationRoute
categoryrequired
"jobs" | "printers" | "orders" | "maintenance" | "materials"
jobsprintersordersmaintenancematerials
createdAtrequired
string
format: date-time
enabledrequired
boolean
idrequired
string
pattern: ^[a-z0-9]{24}$
notificationIdrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "notificationId": "string",
  "category": "jobs",
  "enabled": true,
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}